Running flex-api-server under uwsgi for local development
------------------------------------------------

Note that flex-api-server is only supported under a Debian-based Linux
distribution.

First, install a recent version (2.x or newer) of the [uWSGI application
server].


Two example uWSGI config files are shipped in the `examples/uwsgi/` directory.
`localdev_flexapiserver_api.ini` runs the server with API key authentication.
It uses uWSGI's built-in HTTP server to listen on `127.0.0.1`.

Config files for `flex-api-server` including authentication credentials must be set up in
`/etc/dnstli`. You will also want at least a small sample of data
locally so that actual data will be returned by the lookup server. This is not
covered here.

To run the localdev API server, invoke the following command from the top
directory of the `flex-api-server` working tree:

```
uwsgi --ini examples/uwsgi/localdev_flexapiserver.ini
```

The API server is now listening on `http://127.0.0.1:65080` (HTTP, not HTTPS),
and can be used with the `dnsdb_query` script when the `DNSDB_SERVER` variable
is set to `"127.0.0.1:65080"`.

The localdev uWSGI config files are configured to send debugging output related
to the application server itself to `stderr`, while the flex-api-server application will
send its own log data to syslog.
